Bug 1943238 - The conditions table does not occupy 100% of the width.
Summary: The conditions table does not occupy 100% of the width.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Jon Jackson
QA Contact: Xiyun Zhao
URL:
Whiteboard: Scrubbed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-25 16:10 UTC by Silvia Parpatekar
Modified: 2021-07-27 22:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: OLM status conditions descriptors were rendered as normal details items on resource details pages. Consequence: The conditions table was rendered at half width Fix: Create a special case for conditions descriptors that renders them in a separate section on the the operand details page. Result: Conditions descriptors are rendered as a full-width table below the normal conditions table.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:55:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
multiple podStatus (33.66 KB, image/png)
2021-06-01 07:06 UTC, Yadan Pei
no flags Details
multiple conditions x-descriptors (59.78 KB, image/png)
2021-06-01 07:06 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8882 0 None open Bug 1943238: Display olm conditions descriptors in their own page section on operand details pages 2021-05-10 20:14:25 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:56:22 UTC

Comment 1 Jon Jackson 2021-04-07 13:26:22 UTC
I was able to reproduced this, but haven't started work on a fix yet. Will investigate further in future sprints.

Comment 5 Yadan Pei 2021-06-01 07:04:58 UTC
1. Create CRD, CSV and CR using test files from https://gist.github.com/TheRealJon/3680c8a573bde88a974588e269230562/revisions
in the CRD yaml, we have customConditions and otherCustomConditions

                customConditions:
                  type: array
                  items:
                    type: object
                    properties:
                      lastTransitionTime:
                        type: string
                      lastUpdateTime:
                        type: string
                      message:
                        type: string
                      reason:
                        type: string
                      status:
                        type: string
                      type:
                        type: string
                otherCustomConditions:
                  type: array
                  items:
                    type: object
                    properties:
                      lastTransitionTime:
                        type: string
                      lastUpdateTime:
                        type: string
                      message:
                        type: string
                      reason:
                        type: string
                      status:
                        type: string
                      type:
                        type: string

in the CSV yaml, we have three fields using urn:alm:descriptor:io.kubernetes.conditions 
          - path: conditions
            description: "conditions - Exercitation magna eu tempor exercitation amet enim sit consectetur commodo esse consectetur."
            displayName: Conditions
            x-descriptors:
              - "urn:alm:descriptor:io.kubernetes.conditions"          - path: customConditions
            description: "Some custom defined condition list"
            displayName: "Custom Conditions"
            x-descriptors:
              - "urn:alm:descriptor:io.kubernetes.conditions"
          - path: otherCustomConditions
            description: "Some other custom defined condition list"
            displayName: "Other Custom Conditions"
            x-descriptors:
              - "urn:alm:descriptor:io.kubernetes.conditions"

in the CR yaml, we have these fields in .status
  conditions:
    - type: Available
      status: "True"
      lastUpdateTime: "2018-08-22T23:27:55Z"
      lastTransitionTime: "2018-08-22T23:27:55Z"
      reason: AppReady
      message: App is ready.
  customConditions:
    - type: Available
      status: "True"
      lastUpdateTime: "2018-08-22T23:27:55Z"
      lastTransitionTime: "2018-08-22T23:27:55Z"
      reason: AppReady
      message: App is ready.
    - type: Test
      status: "True"
      lastUpdateTime: "2018-08-22T23:27:55Z"
      lastTransitionTime: "2018-08-22T23:27:55Z"
      reason: Testing123
      message: This is a test.
  otherCustomConditions:
    - type: Available
      status: "True"
      lastUpdateTime: "2018-08-22T23:27:55Z"
      lastTransitionTime: "2018-08-22T23:27:55Z"
      reason: AppReady
      message: App is ready.
    - type: Test
      status: "True"
      lastUpdateTime: "2018-08-22T23:27:55Z"
      lastTransitionTime: "2018-08-22T23:27:55Z"
      reason: Testing123
      message: This is a test.

2. Check operand details page, 

a. podStatus chart are presented side by side when more than one filed using  "urn:alm:descriptor:com.tectonic.ui:podStatuses" x-descriptors
b. conditions table are shown occupying 100% width of the page from left to right and one below the other when there are more than one field using "urn:alm:descriptor:io.kubernetes.conditions" x-descriptors

Verified on 4.8.0-0.nightly-2021-05-31-190546

Comment 6 Yadan Pei 2021-06-01 07:06:03 UTC
Created attachment 1788424 [details]
multiple podStatus

Comment 7 Yadan Pei 2021-06-01 07:06:36 UTC
Created attachment 1788425 [details]
multiple conditions x-descriptors

Comment 10 errata-xmlrpc 2021-07-27 22:55:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.